#include "CommandsDefine.h"
#include "ProjectConfig.h"
#include "ProbeEEPROM.h"
#include "PCA9548.h"
#include "Helper.h"
#include "usart.h"
void CMD0x33_Request_ReadProbeFactoryInfo_process(u8 *pData,u16 dataLen,u8 bIsContentBitInverted_Recv,u8 bIsContentBitInverted_SendBack)
{
#ifdef RUNNING_WHERE_AT_BOOT	
	Command_SendbackErrorMessage(Error0x02_CannotRunAtBoot);
#else
	u8 bDataOK=1;
	u8 validDataLength=dataLen;
	if (bIsContentBitInverted_Recv)
	{
		validDataLength=dataLen/2;
		if (!Helper_CheckInvertBytesIsRegist(pData,dataLen))
			bDataOK=0;
	}
	if (validDataLength!=1)
		bDataOK=0;
	if (!bDataOK)
	{
		Command_SendbackErrorMessage(Error0x05_CMD_ParaLentghError,1);			
		return;
	}
	

	u16 dataBytes = EEPROM_DATA_LEN;
	dataBytes = ProbeEEPROM_Read(pData,USART_WR_BUF);
	u8 test = PCA9548_Read();
	USART6_Send(CMD0x33_Request_ReadProbeFactoryInfo,dataBytes,bIsContentBitInverted_SendBack);	 
	
#endif
	
}
